<?php

namespace App\Jobs;

use App\Mail\SendQuoteInfoMail;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Mail;

class SendQuoteInfoJob implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    protected $data;
    protected $view;

    /**
     * Create a new job instance.
     * @param $data
     * @param $view
     */
    public function __construct($data, $view)
    {
        $this->data = $data;
        $this->view = $view;
        $this->to = $data['to'] ?? settings('quote_email');
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        $data = new SendQuoteInfoMail($this->data, $this->view);
        Mail::to($this->to)->send($data);
    }
}
